umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Ui_CodeGenOptionsPage Class Reference

`#include <ui_codegenoptionspage.h>`

Inheritance diagram for Ui_CodeGenOptionsPage:

## Public Member Functions
void | setupUi (QWidget *CodeGenOptionsPage)
void | retranslateUi (QWidget *CodeGenOptionsPage)

## Public Attributes
QVBoxLayout * | vboxLayout
QTabWidget * | ui_tabWidgetMain
QWidget * | ui_tabGeneral
QVBoxLayout * | vboxLayout1
QVBoxLayout * | vboxLayout2
QGroupBox * | ui_groupBoxLanguage
QVBoxLayout * | vboxLayout3
KComboBox * | ui_SelectLanguageBox
QGroupBox * | ui_groupBoxFolders
QVBoxLayout * | vboxLayout4
QLabel * | ui_textLabelFolder
QHBoxLayout * | hboxLayout
KLineEdit * | ui_outputDir
QPushButton * | ui_browseOutput
QCheckBox * | ui_includeHeadings
QHBoxLayout * | hboxLayout1
KLineEdit * | ui_headingsDir
QPushButton * | ui_browseHeadings
QGroupBox * | ui_groupBoxOverwritePolicy
QVBoxLayout * | vboxLayout5
QLabel * | ui_textLabelOverwritePolicy
QVBoxLayout * | vboxLayout6
QRadioButton * | ui_radioButtonOverwrite
QRadioButton * | ui_radioButtonAsk
QRadioButton * | ui_radioButtonChangeName
QWidget * | ui_tabFormatting
QGridLayout * | gridLayout
QGridLayout * | gridLayout1
QGroupBox * | ui_groupBoxComment
QVBoxLayout * | vboxLayout7
QCheckBox * | ui_forceDoc
QCheckBox * | ui_forceSections
QGroupBox * | ui_groupBoxLines
QVBoxLayout * | vboxLayout8
QHBoxLayout * | hboxLayout2
QLabel * | ui_textLabelType
KComboBox * | ui_SelectIndentationTypeBox
QHBoxLayout * | hboxLayout3
QLabel * | ui_textLabelAmount
QSpinBox * | ui_SelectIndentationNumber
QHBoxLayout * | hboxLayout4
QLabel * | ui_textLabelStyle
KComboBox * | ui_SelectEndLineCharsBox

## Member Function Documentation

## ◆ retranslateUi()

void Ui_CodeGenOptionsPage::retranslateUi | ( | QWidget * | CodeGenOptionsPage | ) |
| inline

## ◆ setupUi()

void Ui_CodeGenOptionsPage::setupUi | ( | QWidget * | CodeGenOptionsPage | ) |
| inline

## Member Data Documentation

## ◆ gridLayout

QGridLayout* Ui_CodeGenOptionsPage::gridLayout

## ◆ gridLayout1

QGridLayout* Ui_CodeGenOptionsPage::gridLayout1

## ◆ hboxLayout

QHBoxLayout* Ui_CodeGenOptionsPage::hboxLayout

## ◆ hboxLayout1

QHBoxLayout* Ui_CodeGenOptionsPage::hboxLayout1

## ◆ hboxLayout2

QHBoxLayout* Ui_CodeGenOptionsPage::hboxLayout2

## ◆ hboxLayout3

QHBoxLayout* Ui_CodeGenOptionsPage::hboxLayout3

## ◆ hboxLayout4

QHBoxLayout* Ui_CodeGenOptionsPage::hboxLayout4

## ◆ ui_browseHeadings

QPushButton* Ui_CodeGenOptionsPage::ui_browseHeadings

## ◆ ui_browseOutput

QPushButton* Ui_CodeGenOptionsPage::ui_browseOutput

## ◆ ui_forceDoc

QCheckBox* Ui_CodeGenOptionsPage::ui_forceDoc

## ◆ ui_forceSections

QCheckBox* Ui_CodeGenOptionsPage::ui_forceSections

## ◆ ui_groupBoxComment

QGroupBox* Ui_CodeGenOptionsPage::ui_groupBoxComment

## ◆ ui_groupBoxFolders

QGroupBox* Ui_CodeGenOptionsPage::ui_groupBoxFolders

## ◆ ui_groupBoxLanguage

QGroupBox* Ui_CodeGenOptionsPage::ui_groupBoxLanguage

## ◆ ui_groupBoxLines

QGroupBox* Ui_CodeGenOptionsPage::ui_groupBoxLines

## ◆ ui_groupBoxOverwritePolicy

QGroupBox* Ui_CodeGenOptionsPage::ui_groupBoxOverwritePolicy

## ◆ ui_headingsDir

KLineEdit* Ui_CodeGenOptionsPage::ui_headingsDir

## ◆ ui_includeHeadings

QCheckBox* Ui_CodeGenOptionsPage::ui_includeHeadings

## ◆ ui_outputDir

KLineEdit* Ui_CodeGenOptionsPage::ui_outputDir

## ◆ ui_radioButtonAsk

QRadioButton* Ui_CodeGenOptionsPage::ui_radioButtonAsk

## ◆ ui_radioButtonChangeName

QRadioButton* Ui_CodeGenOptionsPage::ui_radioButtonChangeName

## ◆ ui_radioButtonOverwrite

QRadioButton* Ui_CodeGenOptionsPage::ui_radioButtonOverwrite

## ◆ ui_SelectEndLineCharsBox

KComboBox* Ui_CodeGenOptionsPage::ui_SelectEndLineCharsBox

## ◆ ui_SelectIndentationNumber

QSpinBox* Ui_CodeGenOptionsPage::ui_SelectIndentationNumber

## ◆ ui_SelectIndentationTypeBox

KComboBox* Ui_CodeGenOptionsPage::ui_SelectIndentationTypeBox

## ◆ ui_SelectLanguageBox

KComboBox* Ui_CodeGenOptionsPage::ui_SelectLanguageBox

## ◆ ui_tabFormatting

QWidget* Ui_CodeGenOptionsPage::ui_tabFormatting

## ◆ ui_tabGeneral

QWidget* Ui_CodeGenOptionsPage::ui_tabGeneral

## ◆ ui_tabWidgetMain

QTabWidget* Ui_CodeGenOptionsPage::ui_tabWidgetMain

## ◆ ui_textLabelAmount

QLabel* Ui_CodeGenOptionsPage::ui_textLabelAmount

## ◆ ui_textLabelFolder

QLabel* Ui_CodeGenOptionsPage::ui_textLabelFolder

## ◆ ui_textLabelOverwritePolicy

QLabel* Ui_CodeGenOptionsPage::ui_textLabelOverwritePolicy

## ◆ ui_textLabelStyle

QLabel* Ui_CodeGenOptionsPage::ui_textLabelStyle

## ◆ ui_textLabelType

QLabel* Ui_CodeGenOptionsPage::ui_textLabelType

## ◆ vboxLayout

QVBoxLayout* Ui_CodeGenOptionsPage::vboxLayout

## ◆ vboxLayout1

QVBoxLayout* Ui_CodeGenOptionsPage::vboxLayout1

## ◆ vboxLayout2

QVBoxLayout* Ui_CodeGenOptionsPage::vboxLayout2

## ◆ vboxLayout3

QVBoxLayout* Ui_CodeGenOptionsPage::vboxLayout3

## ◆ vboxLayout4

QVBoxLayout* Ui_CodeGenOptionsPage::vboxLayout4

## ◆ vboxLayout5

QVBoxLayout* Ui_CodeGenOptionsPage::vboxLayout5

## ◆ vboxLayout6

QVBoxLayout* Ui_CodeGenOptionsPage::vboxLayout6

## ◆ vboxLayout7

QVBoxLayout* Ui_CodeGenOptionsPage::vboxLayout7

## ◆ vboxLayout8

QVBoxLayout* Ui_CodeGenOptionsPage::vboxLayout8

The documentation for this class was generated from the following file:

- cmake-build/umbrello/ui_codegenoptionspage.h